<?php
/**
 * @package dailymotion-videowall-widget
 * @author kevin fernandez
 */
/*
Plugin Name: Dailymotion Videowall
Plugin URI: http://wordpress.org/extend/plugins/dailymotion-videowall-widget/
Description: Displays a dailymotion videowall.
Author: Kevin Fernandez
Version: 0.1.3
Author URI: http://www.howgeek.com/
*/

/*  Copyright 2011 Kevin Fernandez (email : kevin@findhost.org)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 */


define ('DMVW_DIR',WP_PLUGIN_DIR . '/dailymotion-videowall-widget');
define ('DMVW_URL',WP_PLUGIN_URL . '/dailymotion-videowall-widget');

require_once(WP_PLUGIN_DIR .'/dailymotion-videowall-widget/dm-videowall.class.php');
require_once(WP_PLUGIN_DIR .'/dailymotion-videowall-widget/dm-videowall-widget.class.php');

function dm_videowall_widget() {
	register_widget( 'DM_widget_videowall' );
}

function dm_videowall_display($args='', $wrapper = true) {
    $defaults = array('list' => '', 'user' => 'lemondefr',
		'sizex' => 2, 'sizey' => 3,
		'space' => 2, 'logo' => 'left',
		'glissement' => 1, 'zoom' => 1,
		'zapping' => 0, 'infos' => 1, 'ombres' => 1, 'auto' => 1, 'echo' => 1
	);

    $args = wp_parse_args( $args, $defaults );
    $paginate = '';
    $wall = new DM_videowall();
    $thewall = $wall->video_wall($args, $wrapper);
    if($args['echo']==1)
    {
	print $wall->get_wall();
    }else{
	return $wall->get_wall();
    }
}

function dm_shortcode($atts) {
    $atts['echo'] = false;
    $out = dm_videowall_display($atts);
return $out;
}
add_shortcode('dmvw', 'dm_videowall_shortcode');
add_action( 'widgets_init', 'dm_videowall_widget' );
$plugin_dir = basename(dirname(__FILE__));
load_plugin_textdomain( 'dmvw', 'wp-content/plugins/' . $plugin_dir.'/languages', $plugin_dir.'/languages' );

?>
